InitUserPrefs();

local t = Def.ActorFrame {}

t[#t+1] = Def.ActorFrame {
	OnCommand=function(self)
		if not FILEMAN:DoesFileExist("Save/ThemePrefs.ini") then
			Trace("ThemePrefs doesn't exist; creating file")
			ThemePrefs.ForceSave()
		end

		ThemePrefs.Save()
	end;
};

t[#t+1] = Def.ActorFrame {
	Def.ActorFrame { -- Color
		LoadActor("_logo") .. {
			InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y);
			OnCommand=cmd(diffusealpha,0;zoom,0.2;decelerate,0.3;zoom,0.4;diffusealpha,1;queuecommand,("Animate"););
			AnimateCommand=cmd(decelerate,3;zoom,0.35;decelerate,3;zoom,0.4;queuecommand,("Animate"););
			OffCommand=cmd(stoptweening;decelerate,0.3;zoom,0.2;diffusealpha,0;);
		};
	};
};

t[#t+1] = Def.ActorFrame {
	OnCommand=cmd(addx,-6;diffusealpha,0;smooth,0.5;addx,6;diffusealpha,0.7;);
	OffCommand=cmd(decelerate,0.3;addx,6;diffusealpha,0;);
		Def.BitmapText { 
			Font= "Common Normal",
			Text= tostring(SONGMAN:GetNumSongs()), 
			InitCommand= function(self) self:xy(_screen.cx+20, _screen.cy+220):diffuse(color("#5349B6")):horizalign(right) end
		};
		Def.BitmapText { 
			Font= "_arimo Bold",
			Text= "S", 
			InitCommand= function(self) self:xy(_screen.cx+22, _screen.cy+220):diffuse(color("#5349B6")):horizalign(left) end
		};
		Def.BitmapText { 
			Font= "Common Normal",
			Text= tostring(ProductVersion()), 
			InitCommand= function(self) self:xy(_screen.cx, _screen.cy-220):diffuse(color("#5349B6")):horizalign(center) end
		};
	};	

return t;	